#!/usr/bin/env python
# -*- coding: utf-8 -*-

from inspect import getmembers, isfunction, signature
import networkx as nx
from docstring_parser import parse

functions_list = getmembers(nx, isfunction)
rt_type =[]
for func in functions_list:
    name, f = func
    docstring = parse(f.__doc__)
    try:
        rt = docstring.returns.type_name
        rt_type.append(rt)
        if rt == 'int' or rt == 'float' or rt=='bool' or rt=='boolean' or rt=='dictionary':
            print(f'{name} : {rt}')
    except AttributeError:
        continue

print('int', rt_type.count('int'))
print('float', rt_type.count('float'))
print('bool', rt_type.count('bool'))
print('boolean', rt_type.count('boolean'))
print('dictionary', rt_type.count('dictionary'))
print('length func',len(functions_list))
print('length rt',len(rt_type))

